Bug 1053 - display doesn\'t work
: display doesn\'t work
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ImageMagick)
: unstable
: all Linux
: P4 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-07-04 14:51 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-07-04 14:51:50
I have updated ImageMagick recently, and display doesn\'t work any more:

$ display /usr/share/pixmaps/Unix.png
display: relocation error: display: undefined symbol: InitializeMagick
$

This error message doesn\'t depend on the type of viewed file.
---

---
rpm -V ImageMagick; rpm -q ImageMagick 
ImageMagick-5.4.6-alt1

------- Comment #1 From 2002-12-23 15:23:46 -------
Проявляется ли это на последнем ImageMagick из Сизифа?
------- Comment #2 From 2002-12-23 15:23:46 -------
Проявляется ли это на последнем ImageMagick из Сизифа?
------- Comment #3 From 2002-12-23 15:55:14 -------
Давно исправлено
------- Comment #4 From 2002-12-23 15:55:14 -------
Давно исправлено
------- Comment #5 From 2003-01-08 00:32:11 -------
Нет, теперь я понял причину:

$ display bilet1.gif 
display: constitute.c:2022: ReadImage: Assertion `image_info->signature == 0xabacadab\' failed.
Aborted
$ rpm -qa \'*ImageMag*\'
ImageMagick-5.4.9-alt7
libImageMagick-5.4.6-alt1
$

Дело в том, что такое сочетание (расхождение в версиях) не нарушает зависимостей, но не является рабочей. Нужны более жёсткие зависимости, без них apt-get install ImageMagick приводит к неработающему ImageMagick.
------- Comment #6 From 2003-01-08 00:32:11 -------
Нет, теперь я понял причину:

$ display bilet1.gif 
display: constitute.c:2022: ReadImage: Assertion `image_info->signature == 0xabacadab\' failed.
Aborted
$ rpm -qa \'*ImageMag*\'
ImageMagick-5.4.9-alt7
libImageMagick-5.4.6-alt1
$

Дело в том, что такое сочетание (расхождение в версиях) не нарушает зависимостей, но не является рабочей. Нужны более жёсткие зависимости, без них apt-get install ImageMagick приводит к неработающему ImageMagick.
------- Comment #7 From 2003-01-15 17:41:35 -------
Какой текущий статус баги
------- Comment #8 From 2003-01-15 17:41:35 -------
Какой текущий статус баги
------- Comment #9 From 2003-01-15 19:53:44 -------
Я думаю, что пока нет более жёстких зависимостей, она открыта.

на указанных версиях я её вопроизвёл.
------- Comment #10 From 2003-01-15 19:53:44 -------
Я думаю, что пока нет более жёстких зависимостей, она открыта.

на указанных версиях я её вопроизвёл.
------- Comment #11 From 2003-01-15 20:47:29 -------
fixed (ImageMagick-5.4.9-alt8)
------- Comment #12 From 2003-01-15 20:47:29 -------
fixed (ImageMagick-5.4.9-alt8)